import pygame
from pygame.locals import *

import numpy as np

from avatar import *

pygame.init()

screen = pygame.display.set_mode((640,480), 0, 32)

boy_image = pygame.image.load('../boy.png')
girl_image = pygame.image.load('../girl.png')

boy = Avatar("Boy", boy_image, (50.0,50.0), 200.0)
girl = Avatar("Girl", girl_image, (150.0, 150.0), 50.0)

clock = pygame.time.Clock()

# Flee algorithm.
def flee(enemy, player, time_passed_seconds):
  pass

while True:

  time_passed = clock.tick(30)
  time_passed_seconds = time_passed / 1000.0

  # Handle game events.
  for event in pygame.event.get():

    if event.type == QUIT:
      exit()

  pressed_keys = pygame.key.get_pressed()

  target = np.array([0.0,0.0])

  # Handle keyboard presses.
  if pressed_keys[K_LEFT]:
    target += np.array([-1.0,0.0])
  if pressed_keys[K_RIGHT]:
    target += np.array([1.0,0.0])
  if pressed_keys[K_UP]:
    target += np.array([0.0,-1.0])
  if pressed_keys[K_DOWN]:
    target += np.array([0.0,1.0])
   
  # Enemy AI Behavior
  flee(girl, boy, time_passed_seconds)    
        
  boy.update(target, time_passed_seconds)
    
  screen.fill((0,0,0))

  screen.blit(girl.surface, girl.position)  
  screen.blit(boy.surface, boy.position)  
  
  pygame.display.update()
